### Method

# Gio Settings range_check

deprecated: 2.40 since: 2.28

#### Declaration [src]

    gboolean
    g_settings_range_check (
      GSettings* settings,
      const gchar* key,
      GVariant* value
    )

#### Description [src]

Checks if the given `value` is of the correct type and within the permitted range for `key`.

Available since: 2.28

Deprecated since: 2.40

Use `g_settings_schema_key_range_check()` instead.

#### Parameters

`key`

  Type: `const gchar*`

  The key to check.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `GVariant`

  The value to check.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

True if `value` is valid for `key`, false otherwise.